Ticket #43163

和文フォント非埋め込みで\CIDが使えない

Open Date: 2021-11-04 19:18 Last Update: 2022-01-03 12:31

Reporter:
(Anonymous)
Owner:
(None)
Type:
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

和文フォント非埋め込みで \CID がエラーになり使えません。 plain LuaTeX で以下のようにしてみました。

  1. \input luatexja.sty
  2. \input luatexja-otf.sty
  3. \jfont\MinNoEmbed={psft:Ryumin-Light:cid=Adobe-Japan1-7;jfm=ujis}
  4. \jfont\GoNoEmbed={psft:GothicBBB-Medium:cid=Adobe-Japan1-7;jfm=ujis}
  5. \MinNoEmbed
  6. 明朝(非埋め込み)\CID{23058}\CID{23059}
  7. \GoNoEmbed
  8. ゴシック(非埋め込み)\CID{23058}\CID{23059}
  9. \bye

原ノ味なら\CID{23058}\CID{23059}ともに問題ありません。非埋め込みでもAdobe-Japan1-7なので使えるようになっているとありがたいです。 なお、IPAexだと\CID{23058}\CID{23059}ともにエラーも無く何も出ないですが、これは非Adobe-Japan1フォントの場合の仕様だと理解しています。

Ticket History (3/6 Histories)

2021-11-04 19:18 Updated by: None
  • New Ticket "和文フォント非埋め込みで\CIDが使えない" created
2021-11-07 15:12 Updated by: h7k
Comment

遅くなりましたが,commit cc5f595 だと少なくともエラーは出なくなったはずです. (和文フォント非埋め込みは今では使う必要性も薄く,かつ裏技のような感覚があるので,他の部分の実装変更に追いついていないかもしれません.)

2021-11-08 19:23 Updated by: None
Comment

ありがとうございます エラーが出なくなったことを確認しました

ところで、Adobe-Japan1-7フォントの場合 \CID はそのまま CID 指定されるように実装されているのか、それとも一旦 Unicode 等に変換して目的のグリフが出るように IVD や縦書きなどを調整をしているのか、どちらになるでしょうか

2021-11-13 11:52 Updated by: h7k
Comment

Adobe-Japan1-7フォントの場合 \CID はそのまま CID 指定されるように実装されているのか、それとも一旦 Unicode 等に変換して目的のグリフが出るように IVD や縦書きなどを調整をしているのか、どちらになるでしょうか

\CID{xxx} で使われるグリフは,次のようにして決まります.

  • 現在の和文フォントが Adobe-Japan1 (-GB1, -CNS1, -Korea1, -KR) フォントであった場合, xxx 番のグリフを採用
    (フォント自体のグリフ番号と CID 番号が一致,という仮定)
  • そうでない場合,次の順で検索
    • IVD を使って出力できないか
    • "Japan1.xxx" という名称をもつグリフはないか
    • Adobe-Japan1-7 関連 CMap の CID↔Unicode 情報(縦組用字形の場合はさらに一手間あり)
2021-11-13 15:50 Updated by: None
Comment

ありがとうございます。 つまり AdobeJapan1 フォントであれば、\CID{xxx} はそのまま CID 指定ができているということで理解しました。 本件クローズしていただければと思います。

2022-01-03 12:31 Updated by: h7k
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

20220103.0 を出したので,完了とします.

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login